Skip to content

Get Clinical Concept Radiation

Request

Retrieve a specific radiation clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/radiation/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the radiation record

documentIdsArray of stringsrequired

List of document IDs associated with the radiation

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

fractionsPlannednumber

Number of fractions planned

fractionsCompletednumber

Number of fractions completed

totalDosePlannednumber

Total radiation dose planned

totalDoseCompletednumber

Total radiation dose completed

dosageUnitsstring

Units of dosage (e.g. Gy, cGy)

descriptionstring

Description of the radiation treatment

startDatestring

Start date of the radiation treatment (ISO string)

endDatestring

End date of the radiation treatment (ISO string)

bodySitestring

Body site targeted by radiation

statusstring

Status of the radiation treatment

isCancerRelatedboolean

Whether the radiation is cancer related

radiationstring

Name of the radiation concept

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "fractionsPlanned": 0, "fractionsCompleted": 0, "totalDosePlanned": 0, "totalDoseCompleted": 0, "dosageUnits": "string", "description": "string", "startDate": "string", "endDate": "string", "bodySite": "string", "status": "string", "isCancerRelated": true, "radiation": "string" }